#!/bin/sh

name="fbv"
title="fbv"
package="fbv"
version="0.96"
build="2"
noarch="n"
build_info="Standard build."

info="A graphic file viewer for the Linux framebuffer device."
desc="fbv is a very simple graphic file viewer for the framebuffer console,
capable of displaying GIF, JPEG, PNG and BMP files using libungif,
libjpeg, and libpng. The image can be shown either in fit-to-screen
or panning mode in 8, 15/16, and 32bpp."
category="viewer/graphic"
environment="console/fb"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,BUGS,COPYING,ChangeLog,INSTALL,README,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://s-tech.elsat.net.pl/fbv/$name-$version.tar.gz

[ "$slackver_maj" = "9" ] && apply_patch libs

configure_option --prefix=/usr

build_host_off

parent_package="$package"
write_info main

cd $src1

do_configure
do_make

copy fbv $pkg_main/usr/bin
copy fbv.1 $pkg_main/usr/man/man1

make_docs

make_package main

clean_up

# $Log: fbv.builder,v $
# Revision 1.7  2003/02/07 18:45:28  swiergot
# - Build 1.
#
# Revision 1.6  2003/02/07 18:35:12  swiergot
# - Renamed libz patch to libs.
# - Apply libs patch only if we are on Slackware 9.
#
# Revision 1.5  2003/02/04 15:06:03  swiergot
# - Modified libz patch to also link with libm.
#
# Revision 1.4  2003/02/04 14:59:56  swiergot
# - Added libz patch to link fbv with zlib. This is needed on Slackware 9.0.
#
# Revision 1.3  2003/02/03 17:06:13  swiergot
# - Build 1.
#
# Revision 1.2  2003/02/03 16:47:11  swiergot
# - Added build_host_off.
#
# Revision 1.1  2003/02/03 16:39:00  swiergot
# - Initial release.
# - Version 0.96.
#
